Skip to main content

Get AMM Income History

Info
  • This endpoint requires signature. For specific signature rules, please refer to Authentication
  • This endpoint will trigger rate limit. For specific rules, please refer to Rate Limit.

HTTP request​

GET /assets/amm/income-history

Request parameters​

Parameter NameRequiredTypeNotes
markettruestringMarket name
start_timefalseintQuery start time.
  • Data will not be filtered based on time by default
end_timefalseintQuery end time.
  • Data will not be filtered based on time by default
pagefalseintNumber of pagination. Default is 1.
limitfalseintNumber in each page. Default is 10. The maximum quantity is 100.

Return parameters​

Parameter NameTypeNotes
created_atintIncome settlement time
marketstringMarket name
base_ccystringBase currency
quote_ccystringQuote currency
base_ccy_amountstringNumber of coin(s) traded by user
quote_ccy_amountstringBase currency amount of user
liquiditystringTotal liquidity of user
liquidity_proportionstringLiquidity ratio of user
fee_dividendstring7-day fee dividend of user

Request example​

GET /assets/amm/income-history?market=CETUSDT

Response example​

{
"code": 0,
"data": [
{
"created_at": 1691482451000,
"market": "CETUSDT",
"base_ccy": "CET",
"quote_ccy": "USDT",
"base_ccy_amount": "9867308.89746572",
"quote_ccy_amount": "640781.63710471",
"liquidity": "1276150.44",
"liquidity_proportion": "0.016346",
"fee_dividend": "18.45"
}
],
"pagination": {
"has_next": false
},
"message": "OK"
}